# File utilities.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/utilities.hpp`)

- Program Listing for File utilities.hpp

## Detailed Description

This file contains code that is very generic in nature like a progress_bar and classes you can use to colourise output text.

## Includes

- `cif++/exports.hpp` (File exports.hpp)

- `filesystem`

- `iostream`

- `unistd.h`

## Included By

- File cif++.hpp

- File compound.hpp

- File item.hpp

## Namespaces

- Namespace cif

- Namespace cif::colour

- Namespace cif::colour::detail

## Classes

- Struct coloured_string_t

- Class progress_bar

## Enums

- Enum colour_type

- Enum style_type

## Functions

- Function cif::add_data_directory

- Function cif::add_file_resource

- Template Function cif::coloured

- Function cif::get_terminal_width

- Function cif::get_version_nr

- Function cif::list_data_directories

- Function cif::list_file_resources

- Function cif::load_resource

## Defines

- Define STDERR_FILENO

- Define STDOUT_FILENO

## Variables

- Variable cif::VERBOSE